Page MenuHomePhabricator

elm_hoversel: add "escape" key action to dismiss
ClosedPublic

Authored by conr2d on Jan 31 2016, 11:39 PM.

Details

Summary

To allow to dismiss hoversel expansion without selecting item
by key, "escape" key action is added.

Test Plan

elementary_test -to hoversel

Diff Detail

Repository
rELM core/elementary
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1202
Build 1267: arc lint + arc unit
conr2d updated this revision to Diff 8286.Jan 31 2016, 11:39 PM
conr2d retitled this revision from to elm_hoversel/combobox: add "escape" key action to dismiss.
conr2d updated this object.
conr2d edited the test plan for this revision. (Show Details)
conr2d added reviewers: Jaehyun_Cho, cedric, divyesh.
divyesh requested changes to this revision.Feb 1 2016, 1:05 AM
divyesh edited edge metadata.
divyesh added inline comments.
src/lib/elc_combobox.c
238 ↗(On Diff #8286)

This is the function that is triggered when "escape" key is pressed on Entry on combobox.
so adding key_action_escape is just redundant on combobox. Elm_entry would receive focus when combobox_hover_begin is called , thus entry handles "escape" key in combobox.

This revision now requires changes to proceed.Feb 1 2016, 1:05 AM
conr2d updated this revision to Diff 8295.Feb 1 2016, 8:50 PM
conr2d edited edge metadata.
conr2d retitled this revision from elm_hoversel/combobox: add "escape" key action to dismiss to elm_hoversel: add "escape" key action to dismiss.
conr2d updated this object.
conr2d edited the test plan for this revision. (Show Details)

remove "escape" key binding for combobox (unnecessary)

divyesh accepted this revision.Feb 1 2016, 8:56 PM
divyesh edited edge metadata.
This revision is now accepted and ready to land.Feb 1 2016, 8:56 PM
Hermet closed this revision.Feb 2 2016, 3:00 AM